/* 
 * Mach Operating System
 * Copyright (c) 1987 Carnegie-Mellon University
 * All rights reserved.  The CMU software License Agreement specifies
 * the terms and conditions for use and redistribution.
 */ 
 
/*
 * Copyright (c) 1982, 1986 Regents of the University of California.
 * All rights reserved.  The Berkeley software License Agreement
 * specifies the terms and conditions for redistribution.
 *
 *	@(#)machparam.h	7.1 (Berkeley) 6/5/86
 */
/*
 * HISTORY
 * $Log:	machparam.h,v $
 * Revision 2.4  92/05/05  11:17:07  danner
 * 	Added definition of console minor (overloaded) for PMAX.
 * 	[92/04/14            af]
 * 
 * Revision 2.3  91/10/13  10:11:03  af
 * 	Dropped cmucs conditional.
 * 	[91/09/22  16:48:28  af]
 * 
 * Revision 2.2  89/11/29  15:28:40  af
 * 	Created.
 * 	[89/11/06            af]
 * 
 */
 
/*
 * Machine dependent constants for mips.
 */
#define	NBPG	4096		/* bytes/page */
#define	PGOFSET	(NBPG-1)	/* byte offset into page */
#define	PGSHIFT	12		/* LOG2(NBPG) */

#define	CLSIZE		1
#define	CLSIZELOG2	0

#define	SSIZE	1		/* initial stack size/NBPG */
#define	SINCR	1		/* increment of stack/NBPG */

#define	UPAGES	2		/* pages of u-area */

/*
 * Some macros for units conversion
 */
/* Core clicks (4096 bytes) to segments and vice versa */
#define	ctos(x)	(x)
#define	stoc(x)	(x)

/* Core clicks (4096 bytes) to disk blocks */
#define	ctod(x)	((x)<<3)
#define	dtoc(x)	((unsigned)(x)>>3)
#define	dtob(x)	((x)<<9)

/* clicks to bytes */
#define	ctob(x)	((x)<<PGSHIFT)

/* bytes to clicks */
#define	btoc(x)	((((unsigned)(x)+PGOFSET)>>PGSHIFT))

#ifdef KERNEL
#ifndef LOCORE
int	cpuspeed;
#endif
#define	DELAY(n)	{ register int N = cpuspeed * (n); while (--N > 0); }

#else KERNEL
#define	DELAY(n)	{ register int N = (n); while (--N > 0); }
#endif KERNEL

/*
 * On pmax, console major is overloaded
 */
#ifdef	PMAX
#define	CHECK_CONSOLE_MINOR	0
#endif
