/* 
 * Mach Operating System
 * Copyright (c) 1989 Carnegie-Mellon University
 * Copyright (c) 1988 Carnegie-Mellon University
 * Copyright (c) 1987 Carnegie-Mellon University
 * All rights reserved.  The CMU software License Agreement specifies
 * the terms and conditions for use and redistribution.
 */
/*
 * HISTORY
 * $Log:	vmparam.h,v $
 * Revision 2.4  92/03/04  15:00:40  rpd
 * 	Removed default/maximum text, data, stack sizes.
 * 	[92/03/04            rpd]
 * 
 * Revision 2.3  90/05/29  20:24:04  rwd
 * 	Added MAP_FILE_BASE param
 * 	[90/04/17  15:44:03  rwd]
 * 
 * Revision 2.2  89/11/29  15:29:01  af
 * 	Created, from David Golub's vax version.
 * 	[89/11/06            af]
 * 
 */ 
/*
 * Copyright (c) 1982, 1986 Regents of the University of California.
 * All rights reserved.  The Berkeley software License Agreement
 * specifies the terms and conditions for redistribution.
 *
 *	@(#)vmparam.h	7.1 (Berkeley) 6/5/86
 */

#ifndef	_MIPS_VMPARAM_H_
#define	_MIPS_VMPARAM_H_

/*
 * Machine dependent constants for MIPS
 */

#include <mach/mips/vm_param.h>

/*
 * Base address for U*X system call emulator.
 */
#define	EMULATOR_BASE	0x0fc00000
#define	EMULATOR_END	0x10000000
				/* 256 Kbytes */

/*
 * Base address for user mapped files
 */
#define MAP_FILE_BASE	0x0f800000
				/* 64k*64files = 4 Meg */

#define	USRTEXT		0x400000	/* start of user text */
#define	USRDATA		0x10000000	/* start of user data */
#define	USRSTACK	0x7ffff000	/* end of user stack */

#endif	_MIPS_VMPARAM_H_
